Subject: New e-mail address & upcoming news
From: [email-masked]
Date: Mon, 23 Jun 1997 13:00:37 -0400 (EDT)

I have deleted the screen name SteveWard6 from our aol accounts.   We will be
using this address until we set up our web site.  Sorry for any
inconvenience.

We will be sending several releases over the next couple of days on

1) The AIDS ride and it's connection to Landmark Forum, a group that
demonstrates "cultish" behavior.  

2)  Clinton's lack of an AIDS agenda at the Summit of the Eight
 (G-7)

3)  Details on Peta's most recent press release on the use of animal research

4)  The National Conference of Mayor's and Clinton's needle exchange ban

5)  ACT UP Washington's expands HIV prevention

Steve Michael
ACT UP Washington
202-547-9404
[email-masked]